<?php


namespace FiloBlu\Pos\Plugin\Adyen\Payment\Helper;

/**
 * Override POS device retrieving with multiple device support
 *
 * @package FiloBlu\Pos\Plugin\Adyen\Payment\Helper
 */
class Data
{

    protected $pos_helper;

    public function __construct(
        \FiloBlu\Pos\Helper\Pos $pos_helper
    )
    {
        $this->pos_helper = $pos_helper;
    }

    public function aroundGetPoiId(
        \Adyen\Payment\Helper\Data $subject,
        \Closure $proceed,
        $storeId = null
    ) {
        $pos_id = $proceed();
        if ($this->pos_helper->isMultiPosEnabled($storeId)) {
            $pos_id_from_multiple = $this->pos_helper->retrieveDeviceFromCookie();
            if ($pos_id_from_multiple != FALSE) {
                return $pos_id_from_multiple;
            }
        }
        return $pos_id;
    }
}